import { createRouter, createWebHistory } from 'vue-router'

import ConversationView from '../views/ConversationView.vue'
import SettingsView from '../views/SettingsView.vue'

export default createRouter({
  history: createWebHistory(),
  routes: [
    {
      name: 'Channel',
      path: '/channel/:channelId', 
      component: ConversationView
    },
    {
      name: 'Settings',
      path: '/settings', 
      component: SettingsView
    }
  ]
})